Bug 51733 - Update icons for high-resolution HiDPI / Retina display
Summary: Update icons for high-resolution HiDPI / Retina display
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
: 74361 115363 120253 120424 121359 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist 75485 HiDPI
  Show dependency treegraph
 
Reported: 2012-07-04 15:40 UTC by Brion Vibber
Modified: 2019-04-17 11:15 UTC (History)
25 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Writer on Retina MacBook Pro. Icons are pixelated. (167.21 KB, image/png)
2012-07-04 15:40 UTC, Brion Vibber
Details
Screenshot of writer on m3800 with Hidpi screen, Icons are smooth. (138.76 KB, image/png)
2017-11-09 23:54 UTC, Aleix
Details
Screenshot of Writer on Windows 10 (Lenovo L380), VERY pixelated (76.65 KB, image/png)
2018-04-12 19:40 UTC, Renato S. Yamane
Details
archlinux LO 6.1 (75.84 KB, image/png)
2018-08-19 13:41 UTC, mattia.b89
Details
Pixelated icons 1 (12.81 KB, image/jpeg)
2018-11-18 01:20 UTC, Gustavo HC
Details
Pixelated icons 2 (20.63 KB, image/jpeg)
2018-11-18 01:20 UTC, Gustavo HC
Details
LO 6.1.4 start (71.62 KB, image/png)
2018-12-24 12:58 UTC, Gerhard Schaber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brion Vibber 2012-07-04 15:40:52 UTC
Created attachment 63833 [details]
Screenshot of Writer on Retina MacBook Pro. Icons are pixelated.

I've done a little quick testing of LibreOffice 3.5.4.2 on a MacBook Pro with Retina display... it works surprisingly well, most text and lots of graphics are beautifully high-resolution!

Icons throughout the interface however are low-resolution, and appear visibly pixelated.

It would be nice to provide and load high-resolution versions of the icons when a window is running on a high-resolution screen.
Comment 1 Roman Eisele 2012-08-28 08:11:40 UTC
Thank you very much for your report!

I completely agree on y

This is an enhancement request, therefore adapted Importance picker to "enhancement".
Comment 2 Emir Sarı (away) 2012-11-18 19:28:45 UTC
It would be great if someone could confirm that the new Tango icon theme will be Retina compatible.
Comment 3 Emir Sarı (away) 2013-08-02 10:55:09 UTC
Can someone please confirm if the new flat Sifr icons on the master build looks good on Retina displays? I do not know anyone using a Retina display, so any help would be appreciated-and we can close this bug.
Comment 4 Khaled Hosny (inactive) 2013-08-02 16:42:48 UTC
(In reply to comment #3)
> Can someone please confirm if the new flat Sifr icons on the master build
> looks good on Retina displays?

No, they look fuzzy as well. Icons is not my area of expertise (if there is ever one, I’m just lurking around here), so no idea what needs to be done here.
Comment 5 Emir Sarı (away) 2013-08-02 16:57:57 UTC
@Khaled,

Thanks for confirming, actually I've recalled that you have a Retina Mac, that's why I added you to CC.
Comment 6 Keith Curtis 2014-02-04 00:10:06 UTC
*** Bug 74361 has been marked as a duplicate of this bug. ***
Comment 7 Stefan Knorr (astron) 2014-02-06 22:49:04 UTC
Sifr icons look pixelated as well, because they are also bitmaps (at least in the form they are used in LibreOffice, the source is of course SVG as has been for some generations of icons).

So, yes, for 200ppi screens, we'd need 32*32p small icons and 48*48p large icons...
+ For Sifr, most of them would just need to be re-exported. Some prodding
  might be needed to get SVGs from some authors.
+ For Tango, it would be more complicated, as we inherited large amounts of
  bitmap-only icons there. Many important icons would be re-exportable, however
  (not saying that it would look great, but better than pixelated icons).
+ Galaxy: doomed project, unless someone actually recreates all those icons
  (I'm beyond doubtful)
+ Oxygen: might be possible, but don't know any specifics (it's possible that
  it also contains a lot of custom LibreOffice-only bitmap-only icons, just
  as Tango does)
+ Classic, High-Contrast: again, doomed.

The new high-resolution sets would then also need to be wired up in LibreOffice in a way that they automatically appear on High PPI screens...
Comment 8 Stefan Knorr (astron) 2014-02-25 09:01:15 UTC
I would propose using this bug to track the implementation of how to correctly switch between high PPI and normal version of a theme etc., and to open new bugs for individual themes. (Just opened bug 75485 for a Sifr high PPI version.)

Proposals:

+ LibreOffice should not show the high PPI themes as special themes in the
  theme selector*, it should instead just switch between themes where
  appropriate (e.g. Sifr <=> Sifr/192ppi depending on the screen).

+ Apple use "@2" appended to the image name to mark 192 PPI images and mixes
  them in with the rest of the theme. It might make sense to follow that
  convention. However, I am not sure every file system correctly supports
  the @ character in file names.

+ Icon sizes should be exactly pixel-doubled, e.g. toolbar: small = 32*32 and
  large = 48*48


(Adding Keith to CC.)
Comment 10 mrjbq7 2015-02-27 15:18:36 UTC
This is still a bug in LibreOffice 4.4.1 on MacBook Pro with Retina display.
Comment 11 mrjbq7 2015-04-03 05:02:07 UTC
Confirmed still in LibreOffice 4.4.2 x86.64 on MacBook Pro with Retina display.
Comment 12 Iandol 2015-04-29 18:16:40 UTC
It looks as if HiDPI is getting some love in 4.5 (aka bug #90796) — does anyone know if the problem with LO is that the UI code still doesn't know when to display HiDPI icons, or just whether there are no HiDPI icons yet made?
Comment 13 Keith Curtis 2015-04-29 21:19:48 UTC
On the Mac, it will take some unknown amount of work in the drawing layers to get it handling HiDPI screens correctly. Until then, it couldn't handle new bitmaps.

On Linux and Windows, LibreOffice needs new bitmaps, and some code to handle loading them: https://bugs.documentfoundation.org/show_bug.cgi?id=90792

BTW, don't confuse bug reports with actual developer activity. There has been some progress in 5.0, but nothing regarding toolbars: http://cgit.freedesktop.org/libreoffice/core/log/?qt=grep&q=hidpi
Comment 14 Commit Notification 2016-10-29 18:15:33 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bb5463efefc4d65e3434b37618cb74a1fe2a598

tdf#51733 support SVG icon theme, disk cache and scaling / darken

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 diver 2017-02-07 20:41:43 UTC
Just installed Version: 5.3.0.3 and icons are still blurry.
Comment 16 Gau28 2017-07-02 20:42:46 UTC
Hello,
Just to share the same problem with version 5.3.3.2 on a Surface Pro 3, Windows 10, screen resolution of 2160x1440
Comment 17 Sebastiaan Lokhorst 2017-07-30 10:56:57 UTC
Unfortunately still no HiDPI icon themes available in 5.4.0. Are there any available for download?
Comment 18 Aleix 2017-11-09 23:54:45 UTC
Created attachment 137653 [details]
Screenshot of writer on m3800 with Hidpi screen, Icons are smooth.

As by now svg icons are supported (since https://listarchives.libreoffice.org/global/design/msg07988.html). I can make it work the provided breeze svg icon set from https://cgit.freedesktop.org/libreoffice/core/tree/icon-themes/breeze_svg . Finally a good looking lo in a hidpi screen :) ... 
I have created a git repo to push the icon set, The steps to make it work are explained there: 
https://github.com/aleixq/images_breeze_svg_hidpi
Comment 19 Buovjaga 2018-02-17 19:13:32 UTC
*** Bug 115363 has been marked as a duplicate of this bug. ***
Comment 20 Renato S. Yamane 2018-04-12 19:40:26 UTC
Created attachment 141316 [details]
Screenshot of Writer on Windows 10 (Lenovo L380), VERY pixelated

On my Windows 10, the icons are even more horrible.
Comment 21 kubi 2018-05-01 13:18:53 UTC
Similar issue on Debian Linux. Installing libreoffice-gnome instead of (or even besides) libreoffice-gtk3 fixed the problem.
Comment 22 mattia.b89 2018-08-19 13:40:41 UTC
Same issue here on Archlinux x86_64 with LO 6.1

unfortunately I am not able to fix this issue
Comment 23 mattia.b89 2018-08-19 13:41:18 UTC
Created attachment 144302 [details]
archlinux LO 6.1
Comment 24 mattia.b89 2018-08-19 13:42:31 UTC
(In reply to mattia.b89 from comment #22)
> Same issue here on Archlinux x86_64 with LO 6.1
> 
> unfortunately I am not able to fix this issue

Displayed on a 24" fullHD screen, thus not a Retina display
Comment 25 Michal Janoušek 2018-08-26 05:36:59 UTC
It also remains in version 6.0.6 in Linux Mint 19 with 4K display. Icons are blurred all. Only Papirus reduces it.
Comment 26 Adolfo Jayme 2018-10-13 18:33:12 UTC
*** Bug 120424 has been marked as a duplicate of this bug. ***
Comment 27 Adolfo Jayme 2018-11-17 03:10:11 UTC
*** Bug 121359 has been marked as a duplicate of this bug. ***
Comment 28 Adolfo Jayme 2018-11-17 03:13:29 UTC
*** Bug 120253 has been marked as a duplicate of this bug. ***
Comment 29 Gustavo HC 2018-11-18 01:20:00 UTC
Created attachment 146714 [details]
Pixelated icons 1
Comment 30 Gustavo HC 2018-11-18 01:20:23 UTC
Created attachment 146715 [details]
Pixelated icons 2
Comment 31 Gustavo HC 2018-11-18 01:21:08 UTC
Some icons are ok.
Others still pixelated.
28" 4k monitor. 150% scale. 

Attachment added 2 screenshots (Pixelated icons 1 and 2)

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 525ed5d1fcb89412f0b80be0b1e35410b048c337
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win;
Comment 32 Gerhard Schaber 2018-12-24 12:58:47 UTC
Created attachment 147800 [details]
LO 6.1.4 start
Comment 33 tomaskeb 2018-12-25 08:31:18 UTC
I'd like to note that the new experimental svg icons in LO 6.2.0.1 show no antialiasing, so they are basically unusable.
Comment 34 andreas_k 2019-04-17 11:15:36 UTC
This is not really an icon theme issue, it's an HiDPI issue.

On the icon theme area this bug is fixed with have
- colibre
- sifr
- elementary
- breeze

available in svg so the icon theme can be rendered depend on the scale factor.